/**
 * Using this template, your task is to implement functions denoted by TODO in the comments.
 * 
 * In this task, you will work strings representing DNA sequence. You are given 
 * two strings <code>dna1</code> and  <code>dna2</code>. Your task is to find,
 * what is the minimal sum of costs of aligning operations over all the characters
 * of the sequences.
 * 
 * See the description of the task, together with notes on Java methods, by method solve.
 * 
 * The Java project also contains tests, in Eclipse you can run them by left-clicking:
 * test/(default package)/JUnitTest.java and selecting Run as -> JUnitTest.java.
 * 
 * The tests will show you if they passed/failed. In case of fail, you can see an exception
 * if the code did not finished, or the difference between your output and expected output.
 * The test names should help you to explain what is being tested. You can also see the content
 * of the tests, for the format of the input, see <code>read</code> method.
 * 
 * The output format is described in the comment of <code>output</code> method.
 */

/**
 * This import policy applies to all programming assignments and the exam.
 * 
 * You are forbidden to add any other import statements. Make sure that you do not leave any
 * imports commented out, or that your IDE does not add any automatically. You can recognize
 * allowed imports by the <code>// allowed import</code> comment.
 * Calls by the fully qualified name are treated as imports as well.
 * You can use data structures we provide to you by imports, by our definitions (even
 * implicitly used classes of packages, such as methods of Object those are inherited with
 * every class declaration, Array, or String), or data structures that you write on your own.
 * Usage of common arrays (<code>type[] variable</code>) is not restricted.
 * 
 * Note that Judge is not enforcing this policy. So if you violate this policy, you may lose the
 * points even if Judge accepts your submission.
 * 
 * You may use the following imports without restrictions.
 */
import java.util.StringTokenizer; // allowed import
import java.io.BufferedReader; // allowed import
import java.io.IOException; // allowed import
import java.io.InputStream; // allowed import
import java.io.InputStreamReader; // allowed import
import java.io.PrintStream; // allowed import
import java.util.Arrays; // allowed import
import java.util.Comparator; // allowed import
import java.lang.Comparable; // allowed import
import java.util.List; // allowed import
import java.util.ArrayList; // allowed import
import java.util.LinkedList; // allowed import
import java.util.ListIterator; // allowed import
import java.lang.Math; // allowed import
import java.lang.Integer; // allowed import
import java.lang.String; // allowed import

class Main {
	public static void main(String[] args) {
		ReadAndWrite rw = new ReadAndWrite();
		rw.readAndSolve(System.in, System.out);
	}
}


class AlignDNA {
	// all string contain only characters ATGC
	String dna1; // input DNA string 1
	String dna2; // input DNA string 2
	// you can define other classes and new arguments
	
	/**
	 * Class StringSplitter is initialized once (dictionary is remaining the same)
	 */
	public AlignDNA(String d1, String d2) {
		dna1 = d1;
		dna2 = d2;
	}
	
	/**
	 * TODO: Return the minimal alignment cost of <code>dna1</code> and <code>dna2</code>.
	 * The alignment operations are: Aligning 2 matched characters costs 0.
	 *                               Aligning 2 mismatched characters costs 1.
	 *                               Inserting a gap costs 2.
	 * 
	 * To access i-th character of string s, use <code>s.charAt(i)</code>. This function
	 * has runtime in O(1).
	 * 
	 * @return The minimal alignment cost:
	 * Examples:
	 * dna1 = "AA", dna2 = "CA" => output is 1
	 * dna1 = "", dna2 = "CA" => output is 4
	 * dna1 = "ATA", dna2 = "CA" => output is 3
	 * dna1 = "AACAGTTACC", dna2 = "TAAGGTCA" => output is 7
	 * 
	 * 16 points
	 * 
	 * Test sets:
	 * "small" is a general case, but the time limit is generous.
	 *          5 points for this task
	 * "large" is a general case, but your solution has to be in O(|dna1|*|dna2|).
	 *          11 points for this task
	 */
	int solve() {
		return -1;
	}
}

///////////////////////////////////////////////////////////////////////
// DO NOT MODIFY THE FOLLOWING CODE, YOU CAN COMPLETELY IGNORE IT
// WE MAY USE LANGUAGE CONSTRUCTS THAT YOU MAY HAVE NOT SEEN SO FAR
///////////////////////////////////////////////////////////////////////

class ReadAndWrite {
	/**
	 * Parses the input:
	 * <number of words>
	 * <space separated words>
	 * 
	 * <number of test strings>
	 * <newline separated strings>
	 */
	void readAndSolve(InputStream in, PrintStream out) {
		FastReader s = new FastReader(in);

		int n = s.nextInt();
		
		for (int i = 0; i < n; i++) {
			AlignDNA ad = new AlignDNA(s.next(), s.next());
			out.println(ad.solve());
		}
	}
}

/**
 * Ignore this class please. It is used for input parsing. Source:
 * https://www.geeksforgeeks.org/fast-io-in-java-in-competitive-programming/
 */
class FastReader {
	BufferedReader br;
	StringTokenizer st;

	FastReader(InputStream in) {
		br = new BufferedReader(new InputStreamReader(in));
	}

	String next() {
		while (st == null || !st.hasMoreElements()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(next());
	}

	char nextChar() {
		return next().charAt(0);
	}

	String nextLine() {
		String str = "";
		try {
			str = br.readLine();
		} catch (IOException e) {
			e.printStackTrace();
		}
		return str;
	}
}
